Skip to main content
POST
Save native report edits using a revision
Required scopes: reports:write.

Authorizations

Authorization
string
header
required

Delegated application credential issued after Chatobserver account consent. Restricted to selected workspaces and explicitly supported MCP operations. The MCP server access token is a separate credential and cannot be used here.

Headers

x-workspace-id
string
required

Explicit workspace selected for the delegated account.

Pattern: ^ws_[a-f0-9]{32}$
Idempotency-Key
string<uuid>
required

Path Parameters

reportId
string<uuid>
required

Body

application/json
expectedRevision
integer
required
Required range: x >= 0
operations
(object | any)[]
required
Required array length: 1 - 256 elements
layoutPolicy
enum<string>
default:compose
Available options:
compose,
preserve
allowPageGrowth
boolean
default:true

Response

Saved revision or identical retry.

data
object
required
replayed
boolean
required